---
title: mdBook-embedify
description:
date: 2024-04-19
last_update: 2024-04-22
---
# mdBook-embedify

>  ℹ️ **Información**
>
>Hay ocasiones en que la especificación del lenguaje Markdown se queda corta, por lo que a menudo los autores de contenidos se ven obligados a añadir código HTML al contenido Markdown (por ejemplo, `<iframe>` de vídeo). Lo anterior puede contradecir la simplicidad de la sintaxis de Markdown.

[mdBook-embedify] es un complemento para el preprocesador[^nota1] de *mdbook* que extiende la sintaxis de Markdown al proveer *shortcodes*[^nota2] los cuales facilitan la inserción de videos de [YouTube], fragmentos de código de [Codepen] o [GitHub Gist][github-gist] entre otros.

## Shortcodes globales

Algunos shortcodes le permiten incluir automáticamente características y funcionalidades de forma global en cada capítulo. Para ello es necesario modificar el archivo `book.toml` para habilitarlos.

A continuación encontrará una lista completa de las funcionalidades que admiten la configuración global.

```toml
[preprocessor.embedify]
scroll-to-top.enable = true

footer.enable = true
footer.message = "Copyright © 2024 • Created with ❤️ by [MR-Addict](https://github.com/MR-Addict)"

announcement-banner.enable = true
announcement-banner.id = "0.2.8"
announcement-banner.theme = "default"
announcement-banner.message = "*Version **0.2.8** now has relased, check it out [here](https://github.com/MR-Addict/mdbook-embedify/releases/tag/0.2.8).*"

giscus.enable = true
giscus.repo = "MR-Addict/mdbook-embedify"
giscus.repo-id = "R_kgDOLCxX0Q"
giscus.category = "General"
giscus.category-id = "DIC_kwDOLCxX0c4CdGx-"
giscus.reactions-enabled = "1"
giscus.theme = "light"
giscus.lang = "en"
giscus.loading = "eager"
```

## Ignore Embeds

Sometimes you may want preprocessor to ignore some embeds.

You can do it by wrapping content that you want to ignore with below two comments:

- `<!-- embed ignore begin -->`
- `<!-- embed ignore end -->`

For example:

```md
<!-- embed ignore begin -->

{% embed youtube id="DyTCOwB0DVw" loading="lazy" %}

<!-- embed ignore end -->
```

And youtube embed won't be rendered.

## Funcionalidades

> 📝 **Nota**
>
> A continuación se listarán superficialmente las funcionalidades que ofrece *mdBook-embedify*; sin embargo, únicamente se expondrán aquellas que me resultan particularmente útiles en mi flujo de trabajo actual. Si desea conocer en profundidad todas sus características, le sugiero encarecidamente que recurra a la [documentación oficial][mdBook-embedify-docs].

- *Footer* — Agrega, de forma global o específica, un pie de página personalizable al libro.
- *Scroll To Top* — Agrega una opción para ir al comienzo de la página.
- *Announcement Banner* — Banner de anuncios
- Gist —
- Giscus —
- Youtube —
- Codepen —
- Stackblitz —
- Codesandbox —
- Bilibili —



### Footer

La aplicación de pie de página (`footer`) resulta útil para mostrar información de derechos de autor, política de privacidad y otra información legal. Admite sintaxis Markdown para que pueda personalizar fácilmente el mensaje.

| Opción | Descripción                                               | Requerido | Valor por defecto |
| :------ | :--------------------------------------------------------- | :-------- | :---------------- |
| mensaje | Mensaje del pie de página, soporte para sintaxis Markdown | Sí       | - -               |

#### Ejemplo

<!-- embed ignore begin -->

```md
{% embed footer message="Copyright © 2024 • Created with ❤️ by [MR-Addict](https://github.com/MR-Addict)" %}
```

<!-- embed ignore end -->

Sin embargo, es posible que desee habilitarlo globalmente para todo el libro. Puede hacer esto agregando las siguientes opciones al archivo `book.toml` después de la sección `[preprocessor.embedify]`:

```toml
footer.enable = true
footer.message = "Copyright © 2024 • Created with ❤️ by [MR-Addict](https://github.com/MR-Addict)"
```

### Gist

#### Opciones

| Opción | Descripción | Requerido | Valor por defecto |
| :------ | :----------- | :-------- | :---------------- |
| id      | Gist ID      | Sí       | - -               |

#### Ejemplo

<!-- embed ignore begin -->

```md
{% embed gist id="76cf171d1bdd7da41d4ca96b908eb57a" %}
```

<!-- embed ignore end -->

{% embed gist id="76cf171d1bdd7da41d4ca96b908eb57a" %}

[^nota1]: El preprocesador es un procesador de texto que manipula el texto de un archivo de código fuente, en este caso Markdown, como parte de la primera fase de traducción, es decir, la traducción del lenguaje Markdown a lenguaje HTML.

[^nota2]: Un «shortcode» es un simple fragmento de código dentro de un archivo de contenido Markdown que el  preprocesador renderizará como código HTML usando una plantilla predefinida.


[mdBook-embedify]: https://github.com/mr-addict/mdbook-embedify
[YouTube]: https://www.youtube.com/
[Codepen]: https://codepen.io/
[github-gist]: https://gist.github.com/
[mdBook-embedify-docs]: https://mr-addict.github.io/mdbook-embedify/
