---
title: mdBook-yml-header
description:
date: 2024-04-11
last_update: 2024-04-18
---
# mdBook-yml-header

[mdBook-yml-header] es un complemento para el preprocesador[^nota1] de *mdbook* que remueve, en tiempo de compilación, el «front matter»[^nota2] de los archivos Markdown (*\*.md*).

## Instalación

> 📝 **Importante**
>
>Se requiere del compilador [Rust] para su instalación.

Una vez cumplido con el punto anterior, ejecute:

```sh
cargo install mdbook-yml-header
```

## Configuración

Añada el siguiente fragmento de código al archivo `book.toml`:

```toml
# Requires mdBook-yml-header
# https://github.com/dvogt23/mdbook-yml-header
[preprocessor.yml-header]
```

[^nota1]: El preprocesador es un procesador de texto que manipula el texto de un archivo de código fuente, en este caso Markdown, como parte de la primera fase de traducción, es decir, la traducción del lenguaje Markdown a lenguaje HTML.


[^nota2]: YAML frontmatter, o simplemente *front matter*, es una convención popularizada por el generador de sitios web estáticos [Jekyll], la cual proporciona una forma de añadir [metadatos] a las páginas. [Consta de un bloque de contenido clave-valor][front-matter] que aparece en la parte superior de cada archivo Markdown y el cual suele incluir el título del artículo, descripción, etiquetas, fecha, etc.


[mdBook-yml-header]: https://github.com/dvogt23/mdbook-yml-header
[Rust]: https://www.rust-lang.org/es/tools/install
[Jekyll]: https://jekyllrb.com/
[metadatos]: https://es.wikipedia.org/wiki/Metadatos
[front-matter]: https://web.archive.org/web/20240414132704/https://daily-dev-tips.com/posts/what-exactly-is-frontmatter/
