---
title: mdv
description:
date: 2024-04-15
last_update: 2024-04-18
---
# mdv

[mdv] es un visor de documentos Markdown, proporciona una experiencia de visualización agradable, personalizable y versátil.

## Características

- Características compatibles con [GoldMark].
  - [Github-Flavored Markdown][GFM]: soporte para tablas, texto formateado como tachado, «linkify»[^nota1] y listas de tareas.
  - Lista de definiciones.
  - Notas a pie de página.
  - Tipografía[^nota2].
  - «Parsea» etiquetas HTML incrustadas en el documento.
- Índice en panel lateral plegable.
- Selector de archivos en el panel lateral plegable.
- Soporte para [MathJax]: muestra de forma agradable fórmulas matemáticas.
- Resaltado sintáctico para lenguajes de programación convencionales.

## Instalación

Clone este [repositorio][mdv] y ejecute `make` en el directorio de trabajo. La compilación cruzada se realiza ejecutando `make windows`, `make linux` o `make mac` respectivamente.

## Utilización

```sh
Markdown Viewer

USAGE: mdv [OPTIONS] <markdown-file>

OPTIONS:

  -port int
    	HTTP port (auto if not specified)
  -serve
    	serve only (do not open in browser)
  -version
    	show version info
```

### Otras aplicaciones

Además de ser un simple visor, *mdv* también puede funcionar como un «motor de previsualización para archivos Markdown», con las siguientes opciones:

- `-port`: utilizar un puerto específico en lugar de elegir uno al azar.
- `-serve`: no abrir automáticamente una ventana del navegador web.

## Personalización

Este apartado queda fuera del ámbito del presente documento, por lo que se sugiere revisar el archivo [README] del proyecto para mayor información al respecto.

[^nota1]: Detección automática de hiperenlaces, es decir, encuentra hiperenlaces en contenido del archivo Markdown y los convierte automáticamente en etiquetas `<a>` de HTML.


[^nota2]: *N. del T*: La documentación original hace referencia al término «typographer», lo cual se tradujo como «tipografía» en ausencia de una mejor terminología. Se desconoce si se haga referencia a algún otro concepto.


[mdv]: https://github.com/xrfang/mdv/
[GoldMark]: https://github.com/yuin/goldmark
[GFM]: https://github.github.com/gfm/
[MathJax]: https://es.wikipedia.org/wiki/MathJax
[README]: https://github.com/xrfang/mdv/tree/master#customize
